node 9.0.0将支持import/export

v8的6.1版本将支持ES module,即import/export语法。https://github.com/nodejs/node-eps/blob/master/002-es-modules.md

这是javascript语法上的最后一次重大更新,也是极为重要的一次更新。

node 8已经宣布使用v8 5.8和5.9两个版本,因此v8 6.1最早将见于node 9,根据https://github.com/targos 大神的描述,node 9.0.0就将支持v8 6.1或6.2,希望尽快升级到node 9.0.0分支!!!

追求稳定的童鞋可在node 10 LTS时使用,而node 10 LTS开始的时间在2018年10月。


更新,已经内置v8 6.1了,并没有modules

标签: 灌水闲聊 建议与改进
MissLee 在 7-25 15:11发布
MissLee 在 8-15 14:36重新编辑 分享到 weibo
4 回复
#1 xymeng 7-31 23:15 回复

这是node社区核心成员的博客,https://medium.com/@jasnell
http/2要支持了,也挺有用的,
ES Module 至少明年2月

#2 sss316 8-1 18:55 回复

期待一下

#3 MissLee 8-2 10:38 回复

v8 --harmony-modules 呼之欲出

#4 MissLee 8-11 08:23 回复

v8 ES modules只有Georg Neis一个人在搞,谷歌简直狗

回到顶部